package configure;

import p2.pao.PaoRemote;
import p2.pao.PaoSetRemote;
import p2.util.P2Exception;
import baseclass.MultiselectDataBeanCust;
//
public class AddRowsMlt extends MultiselectDataBeanCust {
	@Override
	protected PaoSetRemote getPaoSetRemote() throws P2Exception {
		PaoRemote pao = this.app.getAppBean().getPao();

		PaoSetRemote paoSet = super.getPaoSetRemote();
		PaoSetRemote detailset = pao.getPaoSet("PS_OBJECTCOLS_DF");
		try {
			paoSet.setWhere(getworlds(detailset, "FIELDNAME", "FIELDNAME"));
		} catch (Exception e) {
			paoSet.setWhere("1=2");
		}
		paoSet.reset();
		return paoSet;
	}
}
